注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

断尘居

温柔的男人像海洋。

 
 
 
 
 

日志

 
 

检查操作系统版本: 必须是5.1 or 5.2。实际为 6.1未通过  

2012-05-13 02:17:27|  分类: Oracle |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
  软件参数
OS:Windows server 2008 Enterprise R2 x64
        DB:Oracle 10g x64
        VM:Sun JDK 1.6 update31 x64
  问题描述
 安装Oracle10g提示不能安装,如图:

检查操作系统版本: 必须是5.1 or 5.2。实际为 6.1未通过 - NobodyElse - 断尘居
 
查看Log信息如下:

 使用 paramFile: F:\TDDOWNLOAD\database\install\oraparam.ini

正在检查安装程序要求...

检查操作系统版本: 必须是5.1 or 5.2。    实际为 6.1

                                      未通过 <<<<

正在退出 Oracle Universal Installer。您可以在 C:\Program Files (x86)\Oracle\Inventory\logs\installActions2012-05-12_08-22-47PM.log 中找到本次会话的日志

请按 Enter 键退出...


  问题分析
根据Log信息可以看出使用参数文件oraparam.ini在检查操作系统版本的时候出了问题,
查看系统信息:Win+R > CMD > systeminfo

 主机名:           WIN-JOHER

OS 名称:          Microsoft Windows Server 2008 R2 Enterprise

OS 版本:          6.1.7600 暂缺 Build 7600

OS 制造商:        Microsoft Corporation

OS 配置:          独立服务器

OS 构件类型:      Multiprocessor Free


在配置文件oraparam.ini里找到如下信息:

 [Certified Versions]

#You can customise error message shown for failure, provide value for CERTIFIED_VERSION_FAILURE_MESSAGE

Windows=5.1,5.2,6.1


//略去部分文字。。


#Windows 2000 use winver.exe to find version

[Windows-5.0-required]

#Minimum display colours for OUI to run

MIN_DISPLAY_COLORS=256

#Minimum CPU speed required for OUI

#CPU=300

[Windows-5.0-optional]


#Windows XP use winver.exe to find version

[Windows-5.1-required]

#Minimum display colours for OUI to run

MIN_DISPLAY_COLORS=256

#Minimum CPU speed required for OUI

#CPU=300

[Windows-5.1-optional]


#Windows .net use winver.exe to find version

[Windows-5.2-required]

#Minimum display colours for OUI to run

MIN_DISPLAY_COLORS=256

#Minimum CPU speed required for OUI

#CPU=300

[Windows-5.2-optional]


  解决方案
这里只认证5.1、5.2的OS版本,但是我的win server 2008系统版本为6.1,
于是照猫画虎将[Certified Versions]参数修改为:

 [Certified Versions]

#You can customise error message shown for failure, provide value for CERTIFIED_VERSION_FAILURE_MESSAGE

Windows=5.1,5.2,6.1


并且在其下方合适的位置加上如下参数:

 [Windows-6.1-required]

#Minimum display colours for OUI to run

MIN_DISPLAY_COLORS=256

#Minimum CPU speed required for OUI

#CPU=300

[Windows-6.1-optional]


保存,退出,重新安装,验证通过,问题解决。
  评论这张
 
阅读(25654)| 评论(5)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017